from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContentIdentifierMapping(XInterface, Protocol):
    def mapContentIdentifierString(self, Source: str) -> str: ...
    def mapContentIdentifier(self, Source: XContentIdentifier) -> XContentIdentifier: ...
    def mapContent(self, Source: XContent) -> XContent: ...
    def mapRow(self, Value: sequence< any >) -> bool: ...
